
class ParticleModuleColorOverDensity extends ParticleModuleColorBase
	native(Particle)
	editinlinenew
	hidecategories(Object);

/** The color to apply to the particle, as a function of the particle density. */
var(Color)					rawdistributionvector	ColorOverDensity;
/** The alpha to apply to the particle, as a function of the particle density. */
var(Color)					rawdistributionfloat	AlphaOverDensity;


cpptext
{
	virtual void	Spawn(FParticleEmitterInstance* Owner, INT Offset, FLOAT SpawnTime);
	virtual void	Update(FParticleEmitterInstance* Owner, INT Offset, FLOAT DeltaTime);

	/**
	 *	Called when the module is created, this function allows for setting values that make
	 *	sense for the type of emitter they are being used in.
	 *
	 *	@param	Owner			The UParticleEmitter that the module is being added to.
	 */
	virtual void SetToSensibleDefaults(UParticleEmitter* Owner);
}

defaultproperties
{
	bSpawnModule=true
	bUpdateModule=true

	Begin Object Class=DistributionVectorConstantCurve Name=DistributionColorOverDensity
	End Object
	ColorOverDensity=(Distribution=DistributionColorOverDensity)

	Begin Object Class=DistributionFloatConstant Name=DistributionAlphaOverDensity
		Constant=1.0f;
	End Object
	AlphaOverDensity=(Distribution=DistributionAlphaOverDensity)
}
