//=============================================================================
// KFPawnVoiceGroupEventData_Player
//=============================================================================
// Class that contains information about how/when dialog can be used
//=============================================================================
// Killing Floor 2
// Copyright (C) 2015 Tripwire Interactive LLC
// - Jeff Robinson
//=============================================================================

class KFPawnVoiceGroupEventData_Player extends KFPawnVoiceGroupEventData;

`include(KFGame/KFGameDialog.uci)

defaultproperties
{
	Events[`COMM_GetToTrader]=			 	(EventID=`COMM_GetToTrader,					 Priority=0, Weight=1, Chance=1.0, CoolDownTime=1.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,															bCanBeMinimized=0)
	Events[`COMM_FollowMe]=			 		(EventID=`COMM_FollowMe,                     Priority=0, Weight=1, Chance=1.0, CoolDownTime=1.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,															bCanBeMinimized=0)
	Events[`COMM_InsultZeds]=			 	(EventID=`COMM_InsultZeds,                   Priority=0, Weight=1, Chance=1.0, CoolDownTime=1.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,															bCanBeMinimized=0)
	Events[`COMM_RequestDosh]=			 	(EventID=`COMM_RequestDosh,                  Priority=0, Weight=1, Chance=1.0, CoolDownTime=1.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,															bCanBeMinimized=0)
	Events[`COMM_RequestDoshResp]=			(EventID=`COMM_RequestDoshResp,              Priority=0, Weight=1, Chance=1.0, CoolDownTime=1.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,								CoolDownCategory=ECC_Resp,	bCanBeMinimized=0)
	Events[`COMM_RequestHeal]=			 	(EventID=`COMM_RequestHeal,                  Priority=0, Weight=1, Chance=1.0, CoolDownTime=1.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,															bCanBeMinimized=0)
	Events[`COMM_RequestHealResp]=			(EventID=`COMM_RequestHealResp,              Priority=0, Weight=1, Chance=1.0, CoolDownTime=1.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,								CoolDownCategory=ECC_Resp, 	bCanBeMinimized=0)
	Events[`COMM_RequestHelp]=			 	(EventID=`COMM_RequestHelp,                  Priority=0, Weight=1, Chance=1.0, CoolDownTime=1.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,															bCanBeMinimized=0)
	Events[`COMM_ConfirmGeneric]=			(EventID=`COMM_ConfirmGeneric,               Priority=0, Weight=1, Chance=1.0, CoolDownTime=1.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,															bCanBeMinimized=0)
	Events[`COMM_DenyGeneric]=			 	(EventID=`COMM_DenyGeneric,                  Priority=0, Weight=1, Chance=1.0, CoolDownTime=1.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,															bCanBeMinimized=0)
	Events[`COMM_ThankYou]=			 		(EventID=`COMM_ThankYou,                 	 Priority=0, Weight=1, Chance=1.0, CoolDownTime=1.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,															bCanBeMinimized=0)

	Events[`ACT_WeldDoor]=			 		(EventID=`ACT_WeldDoor,                      Priority=5, Weight=1, Chance=1.0, CoolDownTime=6.0, CoolDownRadius=1000.0, Delay=0.0,  bCanPlayAlone=true)
	Events[`ACT_WeldDoorResp]=			 	(EventID=`ACT_WeldDoorResp,                  Priority=5, Weight=1, Chance=1.0, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.75, bCanPlayAlone=true,								CoolDownCategory=ECC_Resp)
	Events[`ACT_WeldDoorUnderAttack]=		(EventID=`ACT_WeldDoorUnderAttack,           Priority=3, Weight=1, Chance=1.0, CoolDownTime=6.0, CoolDownRadius=1000.0, Delay=0.0,  bCanPlayAlone=true,                              CoolDownCategory=ECC_Act)
	Events[`ACT_WeldDoorUnderAttackResp]=	(EventID=`ACT_WeldDoorUnderAttackResp,       Priority=3, Weight=1, Chance=1.0, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.75, bCanPlayAlone=true,								CoolDownCategory=ECC_Resp)
	Events[`ACT_WeldDoorAboutToBreak]=		(EventID=`ACT_WeldDoorAboutToBreak,          Priority=3, Weight=1, Chance=1.0, CoolDownTime=4.0, CoolDownRadius=1000.0, Delay=0.0,  bCanPlayAlone=true,                              CoolDownCategory=ECC_Act)
	Events[`ACT_WeldDoorAboutToBreakResp]=	(EventID=`ACT_WeldDoorAboutToBreakResp,      Priority=3, Weight=1, Chance=1.0, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.75, bCanPlayAlone=true,								CoolDownCategory=ECC_Resp)
	Events[`ACT_WeldDoorFinish]=			(EventID=`ACT_WeldDoorFinish,                Priority=5, Weight=1, Chance=1.0, CoolDownTime=6.0, CoolDownRadius=1000.0, Delay=0.0,  bCanPlayAlone=true)
	Events[`ACT_UnweldDoor]=			 	(EventID=`ACT_UnweldDoor,                    Priority=5, Weight=1, Chance=1.0, CoolDownTime=6.0, CoolDownRadius=1000.0, Delay=0.0,  bCanPlayAlone=true,                              CoolDownCategory=ECC_Act)
	Events[`ACT_UnweldDoorFinish]=			(EventID=`ACT_UnweldDoorFinish,              Priority=5, Weight=1, Chance=1.0, CoolDownTime=6.0, CoolDownRadius=1000.0, Delay=0.0,  bCanPlayAlone=true,                              CoolDownCategory=ECC_Act)
	Events[`ACT_SpotDoorAttacked]=			(EventID=`ACT_SpotDoorAttacked,              Priority=5, Weight=1, Chance=1.0, CoolDownTime=7.0, CoolDownRadius=1000.0, Delay=0.0,  bCanPlayAlone=true, Radius=2000, FOV=`FOV15,     CoolDownCategory=ECC_Act)
	Events[`ACT_SpotDoorBreak]=			 	(EventID=`ACT_SpotDoorBreak,                 Priority=5, Weight=1, Chance=1.0, CoolDownTime=0.5, CoolDownRadius=1000.0, Delay=0.0,  bCanPlayAlone=true, Radius=2000, FOV=`FOV15,     CoolDownCategory=ECC_Act)

	Events[`ACT_HealSomeone]=			 	(EventID=`ACT_HealSomeone,                   Priority=5, Weight=1, Chance=1.00, CoolDownTime=1.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`ACT_HealSomeoneRespLT50pct]=	(EventID=`ACT_HealSomeoneRespLT50pct,        Priority=5, Weight=1, Chance=1.00, CoolDownTime=1.0, CoolDownRadius=1000.0, Delay=0.75, bCanPlayAlone=true,								CoolDownCategory=ECC_Resp)
	Events[`ACT_HealSomeoneRespMT75pct]=	(EventID=`ACT_HealSomeoneRespMT75pct,        Priority=5, Weight=1, Chance=1.00, CoolDownTime=1.0, CoolDownRadius=1000.0, Delay=0.75, bCanPlayAlone=true,								CoolDownCategory=ECC_Resp)
	Events[`ACT_HealMiss]=			 		(EventID=`ACT_HealMiss,                      Priority=5, Weight=1, Chance=1.00, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`ACT_HealMissResp]=			 	(EventID=`ACT_HealMissResp,                  Priority=5, Weight=1, Chance=1.00, CoolDownTime=0.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=300,					CoolDownCategory=ECC_Resp)
	Events[`ACT_HealSelf]=			 		(EventID=`ACT_HealSelf,                      Priority=5, Weight=1, Chance=1.00, CoolDownTime=2.0, CoolDownRadius=500.0, Delay=0.0, bCanPlayAlone=true)

	Events[`ACT_DoshAtSomeone]=			 	(EventID=`ACT_DoshAtSomeone,                 Priority=5, Weight=1, Chance=1.00, CoolDownTime=0.5, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`ACT_DoshAtSomeoneRespSome]=		(EventID=`ACT_DoshAtSomeoneRespSome,         Priority=5, Weight=1, Chance=1.00, CoolDownTime=1.0, CoolDownRadius=500.0, Delay=0.5, bCanPlayAlone=true,								CoolDownCategory=ECC_Resp)
	Events[`ACT_DoshAtSomeoneRespLots]=		(EventID=`ACT_DoshAtSomeoneRespLots,         Priority=5, Weight=1, Chance=1.00, CoolDownTime=1.0, CoolDownRadius=500.0, Delay=0.5, bCanPlayAlone=true,								CoolDownCategory=ECC_Resp)
	Events[`ACT_DoshAtGround]=			 	(EventID=`ACT_DoshAtGround,                  Priority=5, Weight=1, Chance=1.00, CoolDownTime=1.0, CoolDownRadius=500.0, Delay=0.0, bCanPlayAlone=true)
	Events[`ACT_DoshTrain]=			 		(EventID=`ACT_DoshTrain,                     Priority=5, Weight=1, Chance=1.00, CoolDownTime=3.0, CoolDownRadius=500.0, Delay=0.0, bCanPlayAlone=true)

	Events[`ACT_Reload]=			 		(EventID=`ACT_Reload,                        Priority=5, Weight=1, Chance=0.5,  CoolDownTime=3.0,  CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=false) 
	Events[`ACT_ReloadUnderPres]=			(EventID=`ACT_ReloadUnderPres,               Priority=4, Weight=1, Chance=0.5, CoolDownTime=15.0,  CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,  Radius=500, FOV=`FOV45)
	Events[`ACT_DropWeap]=			 		(EventID=`ACT_DropWeap,                      Priority=5, Weight=1, Chance=1.00, CoolDownTime=2.0,  CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=false)
	Events[`ACT_SpotAmmo]=			 		(EventID=`ACT_SpotAmmo,                      Priority=4, Weight=15, Chance=1.00, CoolDownTime=15.0, CoolDownRadius=1300.0, Delay=0.0, bCanPlayAlone=true, Radius=1000, FOV=`FOV30, 	CoolDownCategory=ECC_Situ)
	Events[`ACT_SpotArmor]=			 		(EventID=`ACT_SpotArmor,                     Priority=4, Weight=15, Chance=1.00, CoolDownTime=15.0, CoolDownRadius=1300.0, Delay=0.0, bCanPlayAlone=true, Radius=1000, FOV=`FOV30, 	CoolDownCategory=ECC_Situ)
	Events[`ACT_SpotWeap]=			 		(EventID=`ACT_SpotWeap,                      Priority=4, Weight=15, Chance=1.00, CoolDownTime=15.0, CoolDownRadius=1300.0, Delay=0.0, bCanPlayAlone=true, Radius=1000, FOV=`FOV30, 	CoolDownCategory=ECC_Situ)
	Events[`ACT_AmmoLow]=			 		(EventID=`ACT_AmmoLow,                       Priority=5, Weight=1, Chance=1.0,  CoolDownTime=10.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,                          	CoolDownCategory=ECC_Situ)
	Events[`ACT_AmmoLowResp]=			 	(EventID=`ACT_AmmoLowResp,                   Priority=5, Weight=1, Chance=1.0,  CoolDownTime=3.0,  CoolDownRadius=1000.0, Delay=0.75,bCanPlayAlone=true, Radius=750,			 		CoolDownCategory=ECC_Resp)
	Events[`ACT_AttackHeavy]=			 	(EventID=`ACT_AttackHeavy,                   Priority=3, Weight=1, Chance=0.5,  CoolDownTime=1.0,  CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`ACT_AttackLight]=			 	(EventID=`ACT_AttackLight,                   Priority=3, Weight=1, Chance=0.5,  CoolDownTime=1.0,  CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`ACT_SelectFaveWeap1]=		 	(EventID=`ACT_SelectFaveWeap1,               Priority=6, Weight=1, Chance=0.5, CoolDownTime=20.0,  CoolDownRadius=1000.0, Delay=0.75, bCanPlayAlone=true,                             CoolDownCategory=ECC_TTime)
	Events[`ACT_SelectFaveWeap2]=		 	(EventID=`ACT_SelectFaveWeap2,               Priority=6, Weight=1, Chance=0.5, CoolDownTime=20.0,  CoolDownRadius=1000.0, Delay=0.75, bCanPlayAlone=true,                             CoolDownCategory=ECC_TTime)
	Events[`ACT_SelectFaveWeap3]=		 	(EventID=`ACT_SelectFaveWeap3,               Priority=6, Weight=1, Chance=0.5, CoolDownTime=20.0,  CoolDownRadius=1000.0, Delay=0.75, bCanPlayAlone=true,                             CoolDownCategory=ECC_TTime)
	Events[`ACT_SelectFaveWeap4]=		 	(EventID=`ACT_SelectFaveWeap4,               Priority=6, Weight=1, Chance=0.5, CoolDownTime=20.0,  CoolDownRadius=1000.0, Delay=0.75, bCanPlayAlone=true,                             CoolDownCategory=ECC_TTime)
	Events[`ACT_SelectFaveWeap5]=		 	(EventID=`ACT_SelectFaveWeap5,               Priority=6, Weight=1, Chance=0.5, CoolDownTime=20.0,  CoolDownRadius=1000.0, Delay=0.75, bCanPlayAlone=true,                             CoolDownCategory=ECC_TTime)
	Events[`ACT_SelectFaveWeap6]=		 	(EventID=`ACT_SelectFaveWeap6,               Priority=6, Weight=1, Chance=0.5, CoolDownTime=20.0,  CoolDownRadius=1000.0, Delay=0.75, bCanPlayAlone=true,                             CoolDownCategory=ECC_TTime)
	Events[`ACT_SelectFaveWeap7]=		 	(EventID=`ACT_SelectFaveWeap7,               Priority=6, Weight=1, Chance=0.5, CoolDownTime=20.0,  CoolDownRadius=1000.0, Delay=0.75, bCanPlayAlone=true,                             CoolDownCategory=ECC_TTime)
	Events[`ACT_SelectFaveWeap8]=		 	(EventID=`ACT_SelectFaveWeap8,               Priority=6, Weight=1, Chance=0.5, CoolDownTime=20.0,  CoolDownRadius=1000.0, Delay=0.75, bCanPlayAlone=true,                             CoolDownCategory=ECC_TTime)

	Events[`ACT_Sprint]=			 		(EventID=`ACT_Sprint,                        Priority=7, Weight=1, Chance=1.00, CoolDownTime=0.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, 															bOnlyPlayLocally=true)
	Events[`ACT_Jog]=			 			(EventID=`ACT_Jog,                           Priority=7, Weight=1, Chance=1.00, CoolDownTime=0.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, 															bOnlyPlayLocally=true)
	Events[`ACT_Ironsights]=			 	(EventID=`ACT_Ironsights,                    Priority=7, Weight=1, Chance=1.00, CoolDownTime=0.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, 															bOnlyPlayLocally=true)
	Events[`ACT_Jump]=			 			(EventID=`ACT_Jump,                          Priority=7, Weight=1, Chance=1.00, CoolDownTime=0.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, 															bOnlyPlayLocally=true)

	Events[`ACT_CommentLvlLT10]=			(EventID=`ACT_CommentLvlLT10,                Priority=6, Weight=1, Chance=1.00, CoolDownTime=25.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=false, Radius=350, FOV=`FOV45)
	Events[`ACT_CommentLvlLT25]=			(EventID=`ACT_CommentLvlLT25,                Priority=6, Weight=1, Chance=1.00, CoolDownTime=25.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=false, Radius=350, FOV=`FOV45)
	Events[`ACT_CommentLvlLT50]=			(EventID=`ACT_CommentLvlLT50,                Priority=6, Weight=1, Chance=1.00, CoolDownTime=25.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=false, Radius=350, FOV=`FOV45)
	Events[`ACT_CommentLvlMax]=			 	(EventID=`ACT_CommentLvlMax,                 Priority=6, Weight=1, Chance=1.00, CoolDownTime=25.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=false, Radius=350, FOV=`FOV45)
	Events[`ACT_CommentLvlUpRespLower]=		(EventID=`ACT_CommentLvlUpRespLower,         Priority=6, Weight=1, Chance=1.00, CoolDownTime=25.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=false, Radius=350, FOV=`FOV45,	CoolDownCategory=ECC_Resp)
	Events[`ACT_CommentLvlUpRespHigher]=	(EventID=`ACT_CommentLvlUpRespHigher,        Priority=6, Weight=1, Chance=1.00, CoolDownTime=25.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=false, Radius=350, FOV=`FOV45,	CoolDownCategory=ECC_Resp)
	Events[`ACT_CommentResetOnce]=			(EventID=`ACT_CommentResetOnce,              Priority=6, Weight=1, Chance=1.00, CoolDownTime=25.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=false, Radius=350, FOV=`FOV45)
	Events[`ACT_CommentResetMult]=			(EventID=`ACT_CommentResetMult,              Priority=6, Weight=1, Chance=1.00, CoolDownTime=25.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=false, Radius=350, FOV=`FOV45)
	Events[`ACT_CommentResetMax]=			(EventID=`ACT_CommentResetMax,               Priority=6, Weight=1, Chance=1.00, CoolDownTime=25.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=false, Radius=350, FOV=`FOV45)
	Events[`ACT_CommentResetRespLower]=		(EventID=`ACT_CommentResetRespLower,         Priority=6, Weight=1, Chance=1.00, CoolDownTime=25.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=false, Radius=350, FOV=`FOV45,	CoolDownCategory=ECC_Resp)
	Events[`ACT_CommentResetRespHigher]=	(EventID=`ACT_CommentResetRespHigher,        Priority=6, Weight=1, Chance=1.00, CoolDownTime=25.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=false, Radius=350, FOV=`FOV45,	CoolDownCategory=ECC_Resp)

	Events[`ACT_BerserkerRage]=			 	(EventID=`ACT_BerserkerRage,                 Priority=0, Weight=1, Chance=1.00,  CoolDownTime=1.0,  CoolDownRadius=10.0, Delay=0.0, bCanPlayAlone=true)

	Events[`KILL_Generic]=			 		(EventID=`KILL_Generic,                      Priority=4, Weight=80,   Chance=0.5, CoolDownTime=14.0,  CoolDownRadius=1000.0, Delay=0.5,  bCanPlayAlone=true,                           CoolDownCategory=ECC_KillEnemy)
	Events[`KILL_Female]=			 		(EventID=`KILL_Female,                       Priority=4, Weight=80,   Chance=0.5, CoolDownTime=14.0,  CoolDownRadius=1000.0, Delay=0.5,  bCanPlayAlone=true,                           CoolDownCategory=ECC_KillEnemy)
	Events[`KILL_Boss]=			 			(EventID=`KILL_Boss,                         Priority=3, Weight=1,   Chance=1.00, CoolDownTime=0.5,  CoolDownRadius=1000.0, Delay=0.5,  bCanPlayAlone=true,                           CoolDownCategory=ECC_KillEnemy)
	Events[`KILL_BossResp]=			 		(EventID=`KILL_BossResp,                     Priority=4, Weight=1,   Chance=1.00, CoolDownTime=0.5,  CoolDownRadius=1000.0, Delay=0.5,  bCanPlayAlone=false,                          CoolDownCategory=ECC_Resp)
	Events[`KILL_Massacre]=			 		(EventID=`KILL_Massacre,                     Priority=3, Weight=100, Chance=75.00, CoolDownTime=25.0,  CoolDownRadius=1000.0, Delay=0.75, bCanPlayAlone=true, Radius=1500, FOV=`FOV45)
	Events[`KILL_MassacreResp]=			 	(EventID=`KILL_MassacreResp,                 Priority=4, Weight=1,   Chance=0.95, CoolDownTime=3.0,  CoolDownRadius=1000.0, Delay=0.5,  bCanPlayAlone=false, Radius=1500, FOV=`FOV45, CoolDownCategory=ECC_Resp)
	Events[`KILL_BeatDeadHorse]=			(EventID=`KILL_BeatDeadHorse,                Priority=4, Weight=1,   Chance=75.0, CoolDownTime=5.0,  CoolDownRadius=1000.0, Delay=0.5,  bCanPlayAlone=true,                           CoolDownCategory=ECC_KillEnemy)
	Events[`KILL_BeatDeadHorseResp]=		(EventID=`KILL_BeatDeadHorseResp,            Priority=5, Weight=1,   Chance=0.75, CoolDownTime=3.0,  CoolDownRadius=1000.0, Delay=0.5,  bCanPlayAlone=false, Radius=1500, FOV=`FOV45, CoolDownCategory=ECC_Resp)
	Events[`KILL_OnARoll]=			 		(EventID=`KILL_OnARoll,                      Priority=4, Weight=20,  Chance=0.75, CoolDownTime=9.0,  CoolDownRadius=1000.0, Delay=0.5,  bCanPlayAlone=true,                           CoolDownCategory=ECC_KillEnemy)
	Events[`KILL_OnARollResp]=			 	(EventID=`KILL_OnARollResp,                  Priority=5, Weight=5,   Chance=0.9,  CoolDownTime=5.0,  CoolDownRadius=1000.0, Delay=0.5,  bCanPlayAlone=false, Radius=1500, FOV=`FOV45, CoolDownCategory=ECC_Resp)
	Events[`KILL_CloseCall]=			 	(EventID=`KILL_CloseCall,                    Priority=4, Weight=1,   Chance=0.90, CoolDownTime=5.0,  CoolDownRadius=100.0, Delay=0.5,  bCanPlayAlone=true,                           CoolDownCategory=ECC_KillEnemy)
	Events[`KILL_AsLastPlayer]=			 	(EventID=`KILL_AsLastPlayer,                 Priority=4, Weight=15,  Chance=0.90, CoolDownTime=8.0,  CoolDownRadius=1000.0, Delay=0.5,  bCanPlayAlone=true,                           CoolDownCategory=ECC_KillEnemy)
	Events[`KILL_KnockedDown]=			 	(EventID=`KILL_KnockedDown,                  Priority=4, Weight=3,  Chance=0.5, CoolDownTime=14.0,  CoolDownRadius=1000.0, Delay=0.5,  bCanPlayAlone=true,                           CoolDownCategory=ECC_KillEnemy)

	Events[`KILL_Slashing]=			 		(EventID=`KILL_Slashing,                     Priority=4, Weight=15, Chance=0.5, CoolDownTime=14.0, CoolDownRadius=1000.0, Delay=1.0, bCanPlayAlone=true,                           CoolDownCategory=ECC_KillEnemy)
	Events[`KILL_SlashingResp]=			 	(EventID=`KILL_SlashingResp,                 Priority=5, Weight=1, Chance=0.9, CoolDownTime=14.0, CoolDownRadius=1000.0, Delay=1.5, bCanPlayAlone=true, Radius=1500, FOV=`FOV45, 	 CoolDownCategory=ECC_Resp)
	Events[`KILL_Blunt]=			 		(EventID=`KILL_Blunt,                        Priority=4, Weight=15, Chance=0.5, CoolDownTime=14.0, CoolDownRadius=1000.0, Delay=1.0, bCanPlayAlone=true,                           CoolDownCategory=ECC_KillEnemy)
	Events[`KILL_BluntResp]=			 	(EventID=`KILL_BluntResp,                    Priority=5, Weight=1, Chance=0.9, CoolDownTime=14.0, CoolDownRadius=1000.0, Delay=0.5, bCanPlayAlone=true, Radius=1500, FOV=`FOV45,   CoolDownCategory=ECC_Resp)
	Events[`KILL_Ballistic]=			 	(EventID=`KILL_Ballistic,                    Priority=4, Weight=5, Chance=0.5, CoolDownTime=14.0, CoolDownRadius=1000.0, Delay=0.95, bCanPlayAlone=true,                          CoolDownCategory=ECC_KillEnemy)
	Events[`KILL_BallisticResp]=			(EventID=`KILL_BallisticResp,                Priority=5, Weight=1, Chance=0.9, CoolDownTime=14.0, CoolDownRadius=1000.0, Delay=0.5, bCanPlayAlone=true, Radius=1500, FOV=`FOV45,   CoolDownCategory=ECC_Resp)
	Events[`KILL_Explosive]=			 	(EventID=`KILL_Explosive,                    Priority=4, Weight=15, Chance=0.5, CoolDownTime=14.0, CoolDownRadius=1000.0, Delay=0.95, bCanPlayAlone=true, Radius=1500, FOV=`FOV45, CoolDownCategory=ECC_KillEnemy)
	Events[`KILL_ExplosiveResp]=			(EventID=`KILL_ExplosiveResp,                Priority=5, Weight=1, Chance=0.9, CoolDownTime=14.0, CoolDownRadius=1000.0, Delay=0.5, bCanPlayAlone=true, Radius=1500, FOV=`FOV45,   CoolDownCategory=ECC_Resp)
	Events[`KILL_Fire]=			 			(EventID=`KILL_Fire,                         Priority=4, Weight=15, Chance=0.5, CoolDownTime=14.0, CoolDownRadius=1000.0, Delay=0.5, bCanPlayAlone=true,  Radius=2500, FOV=`FOV45, CoolDownCategory=ECC_KillEnemy)
	Events[`KILL_FireResp]=			 		(EventID=`KILL_FireResp,                     Priority=5, Weight=1, Chance=0.9, CoolDownTime=14.0, CoolDownRadius=1000.0, Delay=0.5, bCanPlayAlone=true, Radius=1500, FOV=`FOV45,   CoolDownCategory=ECC_Resp)
	Events[`KILL_Freeze]=			 		(EventID=`KILL_Freeze,                       Priority=4, Weight=15, Chance=0.5, CoolDownTime=14.0, CoolDownRadius=1000.0, Delay=0.5, bCanPlayAlone=true,                          CoolDownCategory=ECC_KillEnemy)
	Events[`KILL_Electro]=			 		(EventID=`KILL_Electro,                      Priority=4, Weight=5, Chance=0.5, CoolDownTime=14.0, CoolDownRadius=1000.0, Delay=0.5, bCanPlayAlone=true,                           CoolDownCategory=ECC_KillEnemy)
	Events[`KILL_Toxic]=			 		(EventID=`KILL_Toxic,                        Priority=4, Weight=15, Chance=0.5, CoolDownTime=14.0, CoolDownRadius=1000.0, Delay=0.5, bCanPlayAlone=true,  Radius=1500, FOV=`FOV45, CoolDownCategory=ECC_KillEnemy)

	Events[`KILL_Fave1]=			 		(EventID=`KILL_Fave1,                        Priority=3, Weight=40, Chance=0.5, CoolDownTime=14.0, CoolDownRadius=1000.0, Delay=0.95, bCanPlayAlone=true,                            CoolDownCategory=ECC_KillEnemy)
	Events[`KILL_Fave2]=			 		(EventID=`KILL_Fave2,                        Priority=3, Weight=40, Chance=0.5, CoolDownTime=14.0, CoolDownRadius=1000.0, Delay=0.95, bCanPlayAlone=true,                            CoolDownCategory=ECC_KillEnemy)
	Events[`KILL_Fave3]=			 		(EventID=`KILL_Fave3,                        Priority=3, Weight=40, Chance=0.5, CoolDownTime=14.0, CoolDownRadius=1000.0, Delay=0.95, bCanPlayAlone=true,                            CoolDownCategory=ECC_KillEnemy)
	Events[`KILL_Fave4]=			 		(EventID=`KILL_Fave4,                        Priority=3, Weight=40, Chance=0.5, CoolDownTime=14.0, CoolDownRadius=1000.0, Delay=0.95, bCanPlayAlone=true,                            CoolDownCategory=ECC_KillEnemy)
	Events[`KILL_Fave5]=			 		(EventID=`KILL_Fave5,                        Priority=3, Weight=40, Chance=0.5, CoolDownTime=14.0, CoolDownRadius=1000.0, Delay=0.95, bCanPlayAlone=true,                            CoolDownCategory=ECC_KillEnemy)
	Events[`KILL_Fave6]=			 		(EventID=`KILL_Fave6,                        Priority=3, Weight=40, Chance=0.5, CoolDownTime=14.0, CoolDownRadius=1000.0, Delay=0.95, bCanPlayAlone=true,                            CoolDownCategory=ECC_KillEnemy)
	Events[`KILL_Fave7]=			 		(EventID=`KILL_Fave7,                        Priority=3, Weight=40, Chance=0.5, CoolDownTime=14.0, CoolDownRadius=1000.0, Delay=0.95, bCanPlayAlone=true,                            CoolDownCategory=ECC_KillEnemy)
	Events[`KILL_Fave8]=			 		(EventID=`KILL_Fave8,                        Priority=3, Weight=40, Chance=0.5, CoolDownTime=14.0, CoolDownRadius=1000.0, Delay=0.95, bCanPlayAlone=true,                            CoolDownCategory=ECC_KillEnemy)

	Events[`DAMZ_Stun]=			 			(EventID=`DAMZ_Stun,                         Priority=3, Weight=1, Chance=0.5, CoolDownTime=14.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,                           CoolDownCategory=ECC_DamEnemy)
	Events[`DAMZ_Stumble]=			 		(EventID=`DAMZ_Stumble,                      Priority=3, Weight=1, Chance=0.5, CoolDownTime=14.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,                           CoolDownCategory=ECC_DamEnemy)
	Events[`DAMZ_Knockdown]=			 	(EventID=`DAMZ_Knockdown,                    Priority=3, Weight=1, Chance=0.5, CoolDownTime=14.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,                           CoolDownCategory=ECC_DamEnemy)
	Events[`DAMZ_Fire]=			 			(EventID=`DAMZ_Fire,                         Priority=3, Weight=1, Chance=0.5, CoolDownTime=14.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,                           CoolDownCategory=ECC_DamEnemy)
	Events[`DAMZ_Freeze]=			 		(EventID=`DAMZ_Freeze,                       Priority=3, Weight=1, Chance=0.5, CoolDownTime=14.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,                           CoolDownCategory=ECC_DamEnemy)
	Events[`DAMZ_Electro]=			 		(EventID=`DAMZ_Electro,                      Priority=3, Weight=1, Chance=0.5, CoolDownTime=14.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,                           CoolDownCategory=ECC_DamEnemy)
	Events[`DAMZ_Toxic]=			 		(EventID=`DAMZ_Toxic,                        Priority=3, Weight=1, Chance=0.5, CoolDownTime=14.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,                           CoolDownCategory=ECC_DamEnemy)
	Events[`DAMZ_Generic]=			 		(EventID=`DAMZ_Generic,                      Priority=3, Weight=1, Chance=0.5, CoolDownTime=14.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,                           CoolDownCategory=ECC_DamEnemy)
	Events[`DAMZ_OverAndOver]=			 	(EventID=`DAMZ_OverAndOver,                  Priority=3, Weight=1, Chance=0.65, CoolDownTime=5.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,                           CoolDownCategory=ECC_DamEnemy)
	Events[`DAMZ_SprintToward]=			 	(EventID=`DAMZ_SprintToward,                 Priority=3, Weight=1, Chance=0.5, CoolDownTime=15.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=1000, FOV=`FOV10,  CoolDownCategory=ECC_DamEnemy)

	Events[`DAMP_SpotTeamDeathM]=			(EventID=`DAMP_SpotTeamDeathM,               Priority=4, Weight=1, Chance=1.00, CoolDownTime=2.0, CoolDownRadius=1000.0, Delay=0.5, bCanPlayAlone=true, Radius=1500, FOV=`FOV45,  CoolDownCategory=ECC_DamFriendly)
	Events[`DAMP_SpotTeamDeathMResp]=		(EventID=`DAMP_SpotTeamDeathMResp,           Priority=5, Weight=1, Chance=1.00, CoolDownTime=2.0, CoolDownRadius=1000.0, Delay=0.5, bCanPlayAlone=true,                           CoolDownCategory=ECC_Resp)
	Events[`DAMP_SpotTeamDeathF]=			(EventID=`DAMP_SpotTeamDeathF,               Priority=4, Weight=1, Chance=1.00, CoolDownTime=2.0, CoolDownRadius=1000.0, Delay=0.5, bCanPlayAlone=true, Radius=1500, FOV=`FOV45,  CoolDownCategory=ECC_DamFriendly)
	Events[`DAMP_SpotTeamDeathFResp]=		(EventID=`DAMP_SpotTeamDeathFResp,           Priority=5, Weight=1, Chance=1.00, CoolDownTime=2.0, CoolDownRadius=1000.0, Delay=0.5, bCanPlayAlone=true,                           CoolDownCategory=ECC_Resp)
	Events[`DAMP_SpotTeamDeathLast]=		(EventID=`DAMP_SpotTeamDeathLast,            Priority=4, Weight=1, Chance=1.00, CoolDownTime=0.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=1500, FOV=`FOV45,  CoolDownCategory=ECC_DamFriendly)
	Events[`DAMP_Grunt]=			 		(EventID=`DAMP_Grunt,                        Priority=2, Weight=1, Chance=1.00, CoolDownTime=1.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,                           CoolDownCategory=ECC_DamFriendly,	bCanBeMinimized=0)
	Events[`DAMP_Scream]=			 		(EventID=`DAMP_Scream,                       Priority=2, Weight=1, Chance=1.00, CoolDownTime=1.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,                           CoolDownCategory=ECC_DamFriendly,	bCanBeMinimized=0)
	Events[`DAMP_Fire]=			 			(EventID=`DAMP_Fire,                         Priority=2, Weight=1, Chance=1.00, CoolDownTime=1.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,                           CoolDownCategory=ECC_DamFriendly)
	Events[`DAMP_Sonic]=			 		(EventID=`DAMP_Sonic,                        Priority=2, Weight=1, Chance=1.00, CoolDownTime=1.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,                           CoolDownCategory=ECC_DamFriendly)
	Events[`DAMP_Ballistic]=			 	(EventID=`DAMP_Ballistic,                    Priority=2, Weight=1, Chance=1.00, CoolDownTime=1.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,                           CoolDownCategory=ECC_DamFriendly)
	Events[`DAMP_Toxic]=			 		(EventID=`DAMP_Toxic,                        Priority=2, Weight=1, Chance=1.00, CoolDownTime=7.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,                           CoolDownCategory=ECC_DamFriendly)
	Events[`DAMP_Blinded]=			 		(EventID=`DAMP_Blinded,                      Priority=2, Weight=1, Chance=1.00, CoolDownTime=7.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,                           CoolDownCategory=ECC_DamFriendly)
	Events[`DAMP_BlindedResp]=			 	(EventID=`DAMP_BlindedResp,                  Priority=2, Weight=1, Chance=0.60, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.5, bCanPlayAlone=true,                           CoolDownCategory=ECC_Resp)
	Events[`DAMP_NearDeath]=			 	(EventID=`DAMP_NearDeath,                    Priority=2, Weight=1, Chance=1.00, CoolDownTime=0.5, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,                           CoolDownCategory=ECC_DamFriendly,	bCanBeMinimized=0)

	Events[`DAMP_Dying]=			 		(EventID=`DAMP_Dying,                        Priority=1, Weight=1, Chance=1.00, CoolDownTime=0.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true,                           CoolDownCategory=ECC_DamFriendly,	bCanBeMinimized=0)
	Events[`DAMP_DyingResp]=			 	(EventID=`DAMP_DyingResp,                    Priority=5, Weight=1, Chance=1.00, CoolDownTime=0.0, CoolDownRadius=1000.0, Delay=0.5, bCanPlayAlone=true,                           CoolDownCategory=ECC_Resp)

	Events[`SPOTZ_Generic]=			 		(EventID=`SPOTZ_Generic,                     Priority=6, Weight=1,  Chance=0.05,  CoolDownTime=20.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=1500, FOV=`FOV45, CoolDownCategory=ECC_SpotEnemy)
	Events[`SPOTZ_BossFemale]=			 	(EventID=`SPOTZ_BossFemale,                  Priority=3, Weight=1,  Chance=0.4,  CoolDownTime=10.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=1500, FOV=`FOV45, CoolDownCategory=ECC_SpotEnemy)
	Events[`SPOTZ_BossGeneric]=			 	(EventID=`SPOTZ_BossGeneric,                 Priority=3, Weight=1,  Chance=0.75, CoolDownTime=10.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=1500, FOV=`FOV45, CoolDownCategory=ECC_SpotEnemy)
	Events[`SPOTZ_Siren]=			 		(EventID=`SPOTZ_Siren,                       Priority=3, Weight=1,  Chance=0.95, CoolDownTime=20.0, CoolDownRadius=1000.0, Delay=0.1, bCanPlayAlone=true, Radius=1500, FOV=`FOV45, CoolDownCategory=ECC_HighZ)
	Events[`SPOTZ_Scrake]=			 		(EventID=`SPOTZ_Scrake,                      Priority=3, Weight=20, Chance=1.0,  CoolDownTime=20.0, CoolDownRadius=1000.0, Delay=0.1, bCanPlayAlone=true, Radius=1500, FOV=`FOV45, CoolDownCategory=ECC_HighZ)
	Events[`SPOTZ_Fleshpound]=			 	(EventID=`SPOTZ_Fleshpound,                  Priority=2, Weight=20, Chance=1.0,  CoolDownTime=20.0, CoolDownRadius=1000.0, Delay=0.1, bCanPlayAlone=true, Radius=1500, FOV=`FOV45, CoolDownCategory=ECC_HighZ)
	Events[`SPOTZ_Horde]=			 		(EventID=`SPOTZ_Horde,                       Priority=3, Weight=3,  Chance=0.5,  CoolDownTime=20.0, CoolDownRadius=1000.0, Delay=0.5, bCanPlayAlone=true, Radius=1500, FOV=`FOV45, CoolDownCategory=ECC_SpotEnemy)

	Events[`SPOTZ_GenericResp]=			 	(EventID=`SPOTZ_GenericResp,                 Priority=4, Weight=1, Chance=0.85, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.75, bCanPlayAlone=true, Radius=1000, FOV=`FOV45, CoolDownCategory=ECC_Resp)
	Events[`SPOTZ_FemaleResp]=			 	(EventID=`SPOTZ_FemaleResp,                  Priority=4, Weight=1, Chance=0.85, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.75, bCanPlayAlone=true, Radius=1000, FOV=`FOV45, CoolDownCategory=ECC_Resp)
	Events[`SPOTZ_BigZedResp]=			 	(EventID=`SPOTZ_BigZedResp,                  Priority=4, Weight=1, Chance=0.85, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.75, bCanPlayAlone=true, Radius=1000, FOV=`FOV45, CoolDownCategory=ECC_Resp)

	Events[`SPOTZ_Cloaked]=			 		(EventID=`SPOTZ_Cloaked,                     Priority=3, Weight=2, Chance=0.75, CoolDownTime=8.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=1500, FOV=`FOV45,  CoolDownCategory=ECC_SpotEnemy)
	Events[`SPOTZ_Surprise]=			 	(EventID=`SPOTZ_Surprise,                    Priority=3, Weight=20, Chance=0.85, CoolDownTime=25.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=350, FOV=`FOV45, CoolDownCategory=ECC_SpotEnemy)
	Events[`SPOTZ_Behind]=			 		(EventID=`SPOTZ_Behind,                      Priority=3, Weight=20, Chance=0.85, CoolDownTime=15.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=350, FOV=`FOV45, CoolDownCategory=ECC_HighZ)
	Events[`SPOTZ_Wall]=			 		(EventID=`SPOTZ_Wall,                        Priority=4, Weight=50, Chance=1.0, CoolDownTime=10.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=1500, FOV=`FOV45, CoolDownCategory=ECC_SpotEnemy)
	Events[`SPOTZ_Ceiling]=			 		(EventID=`SPOTZ_Ceiling,                     Priority=4, Weight=50, Chance=1.0, CoolDownTime=10.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=1500, FOV=`FOV45, CoolDownCategory=ECC_SpotEnemy)
	Events[`SPOTZ_EmergeVent]=			 	(EventID=`SPOTZ_EmergeVent,                  Priority=4, Weight=15, Chance=1.0, CoolDownTime=10.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=1500, FOV=`FOV45, CoolDownCategory=ECC_HighZ)
	Events[`SPOTZ_EmergeCeiling]=			(EventID=`SPOTZ_EmergeCeiling,               Priority=4, Weight=15, Chance=1.0, CoolDownTime=10.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=1500, FOV=`FOV45, CoolDownCategory=ECC_HighZ)
	Events[`SPOTZ_EmergeFloor]=			 	(EventID=`SPOTZ_EmergeFloor,                 Priority=4, Weight=15, Chance=1.0, CoolDownTime=10.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=1500, FOV=`FOV45, CoolDownCategory=ECC_HighZ)
	Events[`SPOTZ_JustCloaked]=			 	(EventID=`SPOTZ_JustCloaked,                 Priority=3, Weight=1, Chance=0.95, CoolDownTime=8.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=1500, FOV=`FOV45,  CoolDownCategory=ECC_SpotEnemy)
	Events[`SPOTZ_JustUncloaked]=			(EventID=`SPOTZ_JustUncloaked,               Priority=3, Weight=1, Chance=0.95, CoolDownTime=8.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=1500, FOV=`FOV45,  CoolDownCategory=ECC_SpotEnemy)
	Events[`SPOTZ_AlmostDead]=			 	(EventID=`SPOTZ_AlmostDead,                  Priority=3, Weight=1, Chance=0.90, CoolDownTime=8.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=1500, FOV=`FOV45,  CoolDownCategory=ECC_SpotEnemy)
	Events[`SPOTZ_RunningAway]=			 	(EventID=`SPOTZ_RunningAway,                 Priority=4, Weight=1, Chance=0.90, CoolDownTime=8.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=1500, FOV=`FOV45,  CoolDownCategory=ECC_SpotEnemy)
	Events[`SPOTZ_Found]=			 		(EventID=`SPOTZ_Found,                       Priority=3, Weight=1, Chance=0.95, CoolDownTime=8.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=1500, FOV=`FOV45,  CoolDownCategory=ECC_SpotEnemy)
	Events[`SPOTZ_NotSeen]=			 		(EventID=`SPOTZ_NotSeen,                     Priority=3, Weight=1, Chance=0.75, CoolDownTime=8.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=1500, FOV=`FOV45,  CoolDownCategory=ECC_SpotEnemy)
	Events[`SPOTZ_Healing]=			 		(EventID=`SPOTZ_Healing,                     Priority=4, Weight=1, Chance=0.80, CoolDownTime=8.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=1500, FOV=`FOV45,  CoolDownCategory=ECC_SpotEnemy)

	Events[`SPOTZ_GrabbedMe]=			 	(EventID=`SPOTZ_GrabbedMe,                   Priority=3, Weight=1, Chance=1.00, CoolDownTime=4.0, CoolDownRadius=500.0,  Delay=0.0, bCanPlayAlone=true, Radius=1500)
	Events[`SPOTZ_PulledMeIn]=			 	(EventID=`SPOTZ_PulledMeIn,                  Priority=3, Weight=1, Chance=0.90, CoolDownTime=4.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=1500, FOV=`FOV45, CoolDownCategory=ECC_SpotEnemy)
	Events[`SPOTZ_ChargingAtMe]=			(EventID=`SPOTZ_ChargingAtMe,                Priority=3, Weight=1, Chance=0.90, CoolDownTime=4.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=1500, FOV=`FOV45, CoolDownCategory=ECC_SpotEnemy)
	Events[`SPOTZ_RagingAtMe]=			 	(EventID=`SPOTZ_RagingAtMe,                  Priority=3, Weight=1, Chance=0.90, CoolDownTime=4.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=1500, FOV=`FOV45, CoolDownCategory=ECC_SpotEnemy)
	Events[`SPOTZ_ShootingAtMe]=			(EventID=`SPOTZ_ShootingAtMe,                Priority=3, Weight=1, Chance=0.90, CoolDownTime=4.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=1500, FOV=`FOV45, CoolDownCategory=ECC_SpotEnemy)
	Events[`SPOTZ_ShootingRockets]=			(EventID=`SPOTZ_ShootingRockets,             Priority=3, Weight=1, Chance=0.90, CoolDownTime=4.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=1500, FOV=`FOV45, CoolDownCategory=ECC_SpotEnemy)

	// radius for spotting Hans throwing a grenade needs to be quite high, because Hans distances himself before throwing
	Events[`SPOTZ_ThrowGrenade]=			(EventID=`SPOTZ_ThrowGrenade,                Priority=3, Weight=1, Chance=0.90, CoolDownTime=4.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=3000, FOV=`FOV45, CoolDownCategory=ECC_SpotEnemy)

	Events[`SITU_HealthCheck]=			 	(EventID=`SITU_HealthCheck,                  Priority=6, Weight=1, Chance=0.40, CoolDownTime=20.0, CoolDownRadius=1500.0, Delay=0.0, bCanPlayAlone=false, Radius=750, FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_HealthCheckRespLow]=		(EventID=`SITU_HealthCheckRespLow,           Priority=6, Weight=1, Chance=1.0, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.9, bCanPlayAlone=false, Radius=750, 				 CoolDownCategory=ECC_Resp)
	Events[`SITU_HealthCheckRespHigh]=		(EventID=`SITU_HealthCheckRespHigh,          Priority=6, Weight=1, Chance=1.0, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.9, bCanPlayAlone=false, Radius=750, 				 CoolDownCategory=ECC_Resp)
	Events[`SITU_AmmoCheck]=			 	(EventID=`SITU_AmmoCheck,                    Priority=6, Weight=1, Chance=0.40, CoolDownTime=20.0, CoolDownRadius=1500.0, Delay=0.0, bCanPlayAlone=false, Radius=750, FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_AmmoCheckRespLow]=			(EventID=`SITU_AmmoCheckRespLow,             Priority=6, Weight=1, Chance=1.0, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.9, bCanPlayAlone=false, Radius=750, 				 CoolDownCategory=ECC_Resp)
	Events[`SITU_AmmoCheckRespHigh]=		(EventID=`SITU_AmmoCheckRespHigh,            Priority=6, Weight=1, Chance=1.0, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.9, bCanPlayAlone=false, Radius=750, 				 CoolDownCategory=ECC_Resp)
	Events[`SITU_General]=			 		(EventID=`SITU_General,                      Priority=6, Weight=1, Chance=0.55, CoolDownTime=20.0, CoolDownRadius=1500.0, Delay=0.0, bCanPlayAlone=false, Radius=750, FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_AllAlive]=			 		(EventID=`SITU_AllAlive,                     Priority=6, Weight=1, Chance=0.75, CoolDownTime=20.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=false, Radius=750, FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_AllAliveResp]=			 	(EventID=`SITU_AllAliveResp,                 Priority=6, Weight=1, Chance=1.0, CoolDownTime=5.0, CoolDownRadius=1000.0, Delay=0.9, bCanPlayAlone=false, Radius=750,   FOV=`FOV45, CoolDownCategory=ECC_Resp)
	Events[`SITU_HalfAlive]=			 	(EventID=`SITU_HalfAlive,                    Priority=6, Weight=1, Chance=0.75, CoolDownTime=20.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=false, Radius=750, FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_HalfAliveResp]=			(EventID=`SITU_HalfAliveResp,                Priority=6, Weight=1, Chance=1.0, CoolDownTime=5.0, CoolDownRadius=1000.0, Delay=0.9, bCanPlayAlone=false, Radius=750,   FOV=`FOV45, CoolDownCategory=ECC_Resp)
	Events[`SITU_MostAlive]=			 	(EventID=`SITU_MostAlive,                    Priority=6, Weight=1, Chance=0.75, CoolDownTime=20.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=false, Radius=750, FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_MostAliveResp]=			(EventID=`SITU_MostAliveResp,                Priority=6, Weight=1, Chance=1.0, CoolDownTime=5.0, CoolDownRadius=1000.0, Delay=0.9, bCanPlayAlone=false, Radius=750,   FOV=`FOV45, CoolDownCategory=ECC_Resp)
	Events[`SITU_LotsOfDosh]=			 	(EventID=`SITU_LotsOfDosh,                   Priority=6, Weight=1, Chance=0.4, CoolDownTime=30.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=false, Radius=750,  FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_LotsOfDoshRespLots]=		(EventID=`SITU_LotsOfDoshRespLots,           Priority=6, Weight=1, Chance=1.0, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.9, bCanPlayAlone=false, Radius=750, 				 CoolDownCategory=ECC_Resp)
	Events[`SITU_LotsOfDoshRespLittle]=		(EventID=`SITU_LotsOfDoshRespLittle,         Priority=6, Weight=1, Chance=1.0, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.9, bCanPlayAlone=false, Radius=750, 				 CoolDownCategory=ECC_Resp)
	Events[`SITU_LittleDosh]=			 	(EventID=`SITU_LittleDosh,                   Priority=6, Weight=1, Chance=0.65, CoolDownTime=20.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=false, Radius=750, FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_LittleDoshResp]=			(EventID=`SITU_LittleDoshResp,               Priority=6, Weight=1, Chance=1.0, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.9, bCanPlayAlone=false, Radius=750, 				 CoolDownCategory=ECC_Resp)
	Events[`SITU_TalkSelf]=			 		(EventID=`SITU_TalkSelf,                     Priority=6, Weight=1, Chance=0.01, CoolDownTime=120.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=750,  FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_WaveStartGeneral]=			(EventID=`SITU_WaveStartGeneral,             Priority=4, Weight=10, Chance=1.0, CoolDownTime=10.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=false, Radius=750, FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_WaveStartGoodLast]=		(EventID=`SITU_WaveStartGoodLast,            Priority=4, Weight=10, Chance=1.0, CoolDownTime=10.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=false, Radius=750, FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_WaveStartGoodSeveral]=		(EventID=`SITU_WaveStartGoodSeveral,         Priority=4, Weight=10, Chance=1.0, CoolDownTime=10.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=false, Radius=750, FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_WaveStartBoss]=			(EventID=`SITU_WaveStartBoss,                Priority=4, Weight=10, Chance=1.0, CoolDownTime=10.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=false, Radius=750, FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_DarkOutside]=			 	(EventID=`SITU_DarkOutside,                  Priority=6, Weight=1, Chance=0.5, CoolDownTime=60.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=750,  FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_DarkInside]=			 	(EventID=`SITU_DarkInside,                   Priority=6, Weight=1, Chance=0.5, CoolDownTime=60.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=750,  FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_Raining]=			 		(EventID=`SITU_Raining,                      Priority=6, Weight=1, Chance=0.5, CoolDownTime=60.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=750,  FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_ColdInside]=			 	(EventID=`SITU_ColdInside,                   Priority=6, Weight=1, Chance=0.5, CoolDownTime=60.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=750,  FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_ColdOutside]=			 	(EventID=`SITU_ColdOutside,                  Priority=6, Weight=1, Chance=0.5, CoolDownTime=60.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=750,  FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_HotInside]=			 	(EventID=`SITU_HotInside,                    Priority=6, Weight=1, Chance=0.5, CoolDownTime=60.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=750,  FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_HotOutside]=			 	(EventID=`SITU_HotOutside,                   Priority=6, Weight=1, Chance=0.5, CoolDownTime=60.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=750,  FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_Foggy]=			 		(EventID=`SITU_Foggy,                        Priority=6, Weight=1, Chance=0.5, CoolDownTime=60.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=750,  FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_Snow]=			 			(EventID=`SITU_Snow,                         Priority=6, Weight=1, Chance=0.5, CoolDownTime=60.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=750,  FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_Gross]=			 		(EventID=`SITU_Gross,                        Priority=6, Weight=1, Chance=0.5, CoolDownTime=60.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=750,  FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_Smelly]=			 		(EventID=`SITU_Smelly,                       Priority=6, Weight=1, Chance=0.5, CoolDownTime=60.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=750,  FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_HighTech]=			 		(EventID=`SITU_HighTech,                     Priority=6, Weight=1, Chance=0.5, CoolDownTime=60.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=750,  FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_OldSchoolHighTech]=		(EventID=`SITU_OldSchoolHighTech,            Priority=6, Weight=1, Chance=0.5, CoolDownTime=60.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=750,  FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_Cloning]=			 		(EventID=`SITU_Cloning,                      Priority=6, Weight=1, Chance=0.5, CoolDownTime=60.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=750,  FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_Experiments]=			 	(EventID=`SITU_Experiments,                  Priority=6, Weight=1, Chance=0.5, CoolDownTime=60.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=750,  FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_Torture]=			 		(EventID=`SITU_Torture,                      Priority=6, Weight=1, Chance=0.5, CoolDownTime=60.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=750,  FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_BioMatter]=			 	(EventID=`SITU_BioMatter,                    Priority=6, Weight=1, Chance=0.5, CoolDownTime=60.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=750,  FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_Aftermath]=			 	(EventID=`SITU_Aftermath,                    Priority=6, Weight=1, Chance=0.5, CoolDownTime=60.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=750,  FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_Cave]=			 			(EventID=`SITU_Cave,                         Priority=6, Weight=1, Chance=0.5, CoolDownTime=60.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=750,  FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_Underground]=			 	(EventID=`SITU_Underground,                  Priority=6, Weight=1, Chance=0.5, CoolDownTime=60.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=750,  FOV=`FOV45, CoolDownCategory=ECC_Situ)
	Events[`SITU_CharSpecific]=			 	(EventID=`SITU_CharSpecific,                 Priority=6, Weight=1, Chance=0.5, CoolDownTime=60.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, Radius=750,  FOV=`FOV45, CoolDownCategory=ECC_Situ)

	Events[`OBJ_Win]=			 			(EventID=`OBJ_Win,                           Priority=0, Weight=1, Chance=0.5, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`OBJ_WinResp]=			 		(EventID=`OBJ_WinResp,                       Priority=0, Weight=1, Chance=0.5, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, 							 CoolDownCategory=ECC_Resp)
	Events[`OBJ_Lose]=			 			(EventID=`OBJ_Lose,                          Priority=0, Weight=1, Chance=0.5, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`OBJ_LoseResp]=			 		(EventID=`OBJ_LoseResp,                      Priority=0, Weight=1, Chance=0.5, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true, 							 CoolDownCategory=ECC_Resp)
	Events[`OBJ_Decline]=			 		(EventID=`OBJ_Decline,                       Priority=0, Weight=1, Chance=0.5, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`OBJ_Accept]=			 		(EventID=`OBJ_Accept,                        Priority=0, Weight=1, Chance=0.5, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`OBJ_DefendAStart]=			 	(EventID=`OBJ_DefendAStart,                  Priority=0, Weight=1, Chance=0.5, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`OBJ_DefendAAlmostSecured]=		(EventID=`OBJ_DefendAAlmostSecured,          Priority=0, Weight=1, Chance=0.5, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`OBJ_DefendAGetIn]=			 	(EventID=`OBJ_DefendAGetIn,                  Priority=0, Weight=1, Chance=0.5, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`OBJ_DefendTStart]=			 	(EventID=`OBJ_DefendTStart,                  Priority=0, Weight=1, Chance=0.5, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`OBJ_DefendTAlmostSecured]=		(EventID=`OBJ_DefendTAlmostSecured,          Priority=0, Weight=1, Chance=0.5, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`OBJ_DefendTAttacked]=			(EventID=`OBJ_DefendTAttacked,               Priority=0, Weight=1, Chance=0.5, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`OBJ_DefendTDestroyed]=			(EventID=`OBJ_DefendTDestroyed,              Priority=0, Weight=1, Chance=0.5, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`OBJ_HackStart]=			 		(EventID=`OBJ_HackStart,                     Priority=0, Weight=1, Chance=0.5, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`OBJ_HackAlmostSecured]=			(EventID=`OBJ_HackAlmostSecured,             Priority=0, Weight=1, Chance=0.5, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`OBJ_HackNeedHelp]=			 	(EventID=`OBJ_HackNeedHelp,                  Priority=0, Weight=1, Chance=0.5, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`OBJ_RepairStart]=			 	(EventID=`OBJ_RepairStart,                   Priority=0, Weight=1, Chance=0.5, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`OBJ_RepairAlmostDone]=			(EventID=`OBJ_RepairAlmostDone,              Priority=0, Weight=1, Chance=0.5, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`OBJ_RepairTakeDamage]=			(EventID=`OBJ_RepairTakeDamage,              Priority=0, Weight=1, Chance=0.5, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`OBJ_RepairFinish]=			 	(EventID=`OBJ_RepairFinish,                  Priority=0, Weight=1, Chance=0.5, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`OBJ_DestroyStart]=			 	(EventID=`OBJ_DestroyStart,                  Priority=0, Weight=1, Chance=0.5, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`OBJ_DestroyFinish]=			 	(EventID=`OBJ_DestroyFinish,                 Priority=0, Weight=1, Chance=0.5, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`OBJ_EscortPackAcquire]=			(EventID=`OBJ_EscortPackAcquire,             Priority=0, Weight=1, Chance=0.5, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`OBJ_EscortPackDamaged]=			(EventID=`OBJ_EscortPackDamaged,             Priority=0, Weight=1, Chance=0.5, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`OBJ_EscortPackDestroyed]=		(EventID=`OBJ_EscortPackDestroyed,           Priority=0, Weight=1, Chance=0.5, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`OBJ_EscortPackDead]=			(EventID=`OBJ_EscortPackDead,                Priority=0, Weight=1, Chance=0.5, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`OBJ_EscortPlayerDied]=			(EventID=`OBJ_EscortPlayerDied,              Priority=0, Weight=1, Chance=0.5, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
	Events[`OBJ_EscortPackSecured]=			(EventID=`OBJ_EscortPackSecured,             Priority=0, Weight=1, Chance=0.5, CoolDownTime=3.0, CoolDownRadius=1000.0, Delay=0.0, bCanPlayAlone=true)
}